Package: python-pecan / 1.3.2-2

remove-broken-test.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
Description: Remove broken test
 This test is failing only in Python 3.5 and 3.6.
 .
 This test is failing, while in fact the framework is doing exactly what
 it should: raise an error. So the test is obviously wrong.
Author: Thomas Goirand <zigo@debian.org>
Forwarded: https://github.com/pecan/pecan/issues/94
Last-Update: 2018-08-24

--- python-pecan-1.2.1.orig/pecan/tests/test_conf.py
+++ python-pecan-1.2.1/pecan/tests/test_conf.py
@@ -148,22 +148,6 @@
                 f.name
             )
 
-    def test_config_with_non_package_relative_import(self):
-        from pecan import configuration
-        with tempfile.NamedTemporaryFile('wb', suffix='.py') as f:
-            f.write(b_('\n'.join(['from . import variables'])))
-            f.flush()
-            configuration.Config({})
-
-            try:
-                configuration.conf_from_file(f.name)
-            except (ValueError, SystemError, ImportError) as e:
-                assert 'relative import' in str(e)
-            else:
-                raise AssertionError(
-                    "A relative import-related error should have been raised"
-                )
-
     def test_config_with_bad_import(self):
         from pecan import configuration
         path = ('bad', 'importerror.py')